Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

Possible Duplicate:
How can I install Oracle Java JRE 7?

I have Ubuntu 10.10. I needed the Sun Java so I added Sun Oracle as supplier of packages and installed java-6. However, I haven't been able to persuade Firefox to use this Java for the browser.

In fact I managed to turn off the original Java plugin (I can't remember exactly how) and I can't see any way to re-enable it. Ie. it doesn't appear in the "plugins" page of the Add-ons option. (I'm in Firefox 3.6.13)

Any suggestions for how to re-enable Java in FF 3.6, and make sure it's using the Sun version?

thanks

phil

share|improve this question

marked as duplicate by Jorge Castro, Marco Ceppi Dec 15 '11 at 18:06

This question has been asked before and already has an answer. If those answers do not fully address your question, please ask a new question.

    
What is the terminal output of locate libnpjp2.so? –  ændrük Feb 4 '11 at 19:27

2 Answers 2

up vote 4 down vote accepted

You may be missing the package sun-java6-plugin since it is not a dependency of sun-java6-jre. Try installing it via:

sudo apt-get install sun-java6-plugin

Then, restart Firefox and check for the plugin in Tools ▸ Add-ons ▸ Plugins or by typing about:plugins into the address bar.

share|improve this answer
    
I think that's it. The funny thing was I'd installed it using the Ubuntu Software Centre, from the Canonical Partners section and I still had the problem. But when I tried the command line I got a message about a duplicate between two sources. Nevertheless, after that it worked. I'm guessing maybe the plugin was installed via Sun but it needed this for Ubuntu to know that the package was installed and to tell Firefox? –  interstar Feb 4 '11 at 20:33
1  
not working for me, it says "packet sun-java6-plugin not available" –  Papachan Mar 1 '12 at 15:17

I ran into the same problem a while back

  • Open a Terminal window

  • Run sudo update-java-alternatives -l to see the current configuration and possibilities.

  • Run sudo update-java-alternatives -s XXXX to set the XXX java version as default. (For Sun Java 6 this would be sudo update-java-alternatives -s java-6-sun)

  • Run java -version to ensure that the correct version is being called.

Here is where i found my answer

share|improve this answer
2  
good answer and it is in keeping with letting ubuntu handle everything. i tend to install things from source/myself and am comfortable dealing with the repercussions. your was is surely the "ubuntu approved" way. –  hbdgaf Feb 4 '11 at 17:12
    
Yes. I think this is part of the answer. When I check my version I now get java version "1.6.0_22" Java(TM) SE Runtime Environment (build 1.6.0_22-b04) which I guess is right. If I run, for example, Processing, it's stopped complaining about the version of Java. But it doesn't solve the problem of the plugin in Firefox. –  interstar Feb 4 '11 at 19:01

Not the answer you're looking for? Browse other questions tagged or ask your own question.